Read Risk Range - MindBridge Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Read Risk Range
cURL
curl --request GET \
--url https://{tenant}.mindbridge.ai/api/v1/risk-ranges/{riskRangesId} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/risk-ranges/{riskRangesId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.mindbridge.ai/api/v1/risk-ranges/{riskRangesId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Structure
200 - application/json
{
"id": "<string>",
"version": 123,
"low": {
"lowThreshold": 5000,
"highThreshold": 5000
},
"medium": {
"lowThreshold": 5000,
"highThreshold": 5000
},
"high": {
"lowThreshold": 5000,
"highThreshold": 5000
},
"system": true,
"libraryId": "<string>",
"engagementId": "<string>",
"analysisTypeId": "<string>",
"name": "<string>",
"description": "<string>"
}
Authorizations
Authorization: Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
- riskRangesId: string, required
Response Attributes
- id: The unique object identifier.
- version: Data integrity version to ensure data consistency.
- low: Object containing low range bounds.
- medium: Object containing medium range bounds.
- high: Object containing high range bounds.
- system: Indicates whether or not the risk ranges are a MindBridge system risk range.
- libraryId: Identifies the library associated with this risk range.
- engagementId: Identifies the engagement associated with this risk range.
- analysisTypeId: Identifies the analysis type associated with this risk range.
- name: The name of the risk range.
- description: The description of the risk range.